<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.756.5.30.1.1.1.1.3.10.1
Name: eCurrentMedication V1
Description: 
      Die  eCurrentMedication  umfasst die die möglichst vollständige, aktuelle Medikation
      eines Patienten inklusive allfälliger abgesetzter Medikamente, die noch aktiv und
      deshalb relevant sind (active medication).
       
                 
                 Informationen in der eCurrentMedication 
                 
                 
                     Identifikation des Behandelnden, der den aktuellen eCurrentMedication erstellt hat, dessen Unterschrift und Datum der Erstellung. 
                     Patient, für den die Behandlung vorgesehen ist. 
                     Für jedes aufgeführte Arzneimittel den Präparatenamen und/oder die entsprechenden Wirksubstanz (DCI), die Dosis pro Einheit, galenische Form, Verabreichungsweg, Dosierung, Anwendungsschema, Anwendungsdauer, Behandlungsgrund, Hinweise, sowie die die Angabe des Behandelnden, der die Indikationsverantwortung trägt. 
          Der Behandlungsgrund kann in Freitext oder in strukturierter Form angegeben
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.756.5.30.1.1.1.1.3.10.1-2016-05-13T220917-closed">
   <title>eCurrentMedication V1</title>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/*[not(self::hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1'])]"
         id="d114e1389-true-d9445e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.1-2016-05-13T220917.html"
              test="not(.)">(CDA-CH-EMED-eCurrentMedication-V1)/d114e1389-true-d9445e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d114e1389-true-d9445e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/*[not(self::hl7:realmCode[@code='CHE'][not(@nullFlavor)]|self::hl7:typeId[@root='2.16.840.1.113883.1.3']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1']|self::hl7:templateId[@root='2.16.756.5.30.1.1.1.1.4']|self::hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.1']|self::hl7:id[not(@nullFlavor)]|self::hl7:code[(@code='77603-9' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:title|self::hl7:effectiveTime[not(@nullFlavor)]|self::hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]|self::hl7:languageCode|self::hl7:setId|self::hl7:versionNumber|self::hl7:recordTarget[not(@nullFlavor)]|self::hl7:author|self::hl7:participant[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.10.2.4']|self::hl7:relatedDocument|self::hl7:component)]"
         id="d9422e130-true-d9520e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.1-2016-05-13T220917.html"
              test="not(.)">(CDA-CH-EMED-eCurrentMedication-V1)/d9422e130-true-d9520e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d9422e130-true-d9520e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:recordTarget[not(@nullFlavor)]/*[not(self::hl7:patientRole[not(@nullFlavor)])]"
         id="d9724e96-true-d9738e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.10.2.5-2016-06-08T162354.html"
              test="not(.)">(CH-EMED-PAT)/d9724e96-true-d9738e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d9724e96-true-d9738e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:recordTarget[not(@nullFlavor)]/hl7:patientRole[not(@nullFlavor)]/*[not(self::hl7:id|self::hl7:addr|self::hl7:telecom|self::hl7:patient[not(@nullFlavor)])]"
         id="d9724e98-true-d9775e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.10.2.5-2016-06-08T162354.html"
              test="not(.)">(CH-EMED-PAT)/d9724e98-true-d9775e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d9724e98-true-d9775e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:recordTarget[not(@nullFlavor)]/hl7:patientRole[not(@nullFlavor)]/hl7:addr/*[not(self::hl7:streetAddressLine|self::hl7:postalCode|self::hl7:city|self::hl7:country)]"
         id="d9724e132-true-d9832e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.10.2.5-2016-06-08T162354.html"
              test="not(.)">(CH-EMED-PAT)/d9724e132-true-d9832e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d9724e132-true-d9832e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:recordTarget[not(@nullFlavor)]/hl7:patientRole[not(@nullFlavor)]/hl7:patient[not(@nullFlavor)]/*[not(self::hl7:name|self::hl7:administrativeGenderCode|self::hl7:birthTime)]"
         id="d9724e145-true-d9916e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.10.2.5-2016-06-08T162354.html"
              test="not(.)">(CH-EMED-PAT)/d9724e145-true-d9916e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d9724e145-true-d9916e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:recordTarget[not(@nullFlavor)]/hl7:patientRole[not(@nullFlavor)]/hl7:patient[not(@nullFlavor)]/hl7:name/*[not(self::hl7:given|self::hl7:family)]"
         id="d9724e147-true-d9951e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.10.2.5-2016-06-08T162354.html"
              test="not(.)">(CH-EMED-PAT)/d9724e147-true-d9951e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d9724e147-true-d9951e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:author/*[not(self::hl7:functionCode|self::hl7:time|self::hl7:assignedAuthor)]"
         id="d9996e111-true-d10020e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.10.2.1-2016-06-09T103127.html"
              test="not(.)">(CH-EMED-AUTO)/d9996e111-true-d10020e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d9996e111-true-d10020e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:author/hl7:assignedAuthor/*[not(self::hl7:id|self::hl7:code|self::hl7:addr|self::hl7:telecom|self::hl7:assignedPerson|self::hl7:representedOrganization)]"
         id="d9996e132-true-d10093e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.10.2.1-2016-06-09T103127.html"
              test="not(.)">(CH-EMED-AUTO)/d9996e132-true-d10093e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d9996e132-true-d10093e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/*[not(self::hl7:name)]"
         id="d9996e154-true-d10165e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.10.2.1-2016-06-09T103127.html"
              test="not(.)">(CH-EMED-AUTO)/d9996e154-true-d10165e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d9996e154-true-d10165e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name/*[not(self::hl7:given|self::hl7:family)]"
         id="d10175e22-true-d10194e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.10.2.2-2016-06-09T131326.html"
              test="not(.)">(CH-EMED-NAME)/d10175e22-true-d10194e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d10175e22-true-d10194e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/*[not(self::hl7:id|self::hl7:name[not(@nullFlavor)]|self::hl7:telecom|self::hl7:addr)]"
         id="d9996e159-true-d10232e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.10.2.1-2016-06-09T103127.html"
              test="not(.)">(CH-EMED-AUTO)/d9996e159-true-d10232e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d9996e159-true-d10232e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr/*[not(self::hl7:streetAddressLine|self::hl7:postalCode|self::hl7:city)]"
         id="d10254e28-true-d10302e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.10.2.3-2016-06-09T132820.html"
              test="not(.)">(CH-EMED-RORG)/d10254e28-true-d10302e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d10254e28-true-d10302e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:participant[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.10.2.4']/*[not(self::hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.10.2.4']|self::hl7:associatedEntity)]"
         id="d10343e47-true-d10363e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.10.2.4-2016-06-09T141353.html"
              test="not(.)">(CH-EMED-CONT)/d10343e47-true-d10363e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d10343e47-true-d10363e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:participant[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.10.2.4']/hl7:associatedEntity/*[not(self::hl7:id|self::hl7:telecom|self::hl7:associatedPerson)]"
         id="d10343e56-true-d10408e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.10.2.4-2016-06-09T141353.html"
              test="not(.)">(CH-EMED-CONT)/d10343e56-true-d10408e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d10343e56-true-d10408e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:participant[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.10.2.4']/hl7:associatedEntity/hl7:associatedPerson/*[not(self::hl7:name)]"
         id="d10343e64-true-d10451e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.10.2.4-2016-06-09T141353.html"
              test="not(.)">(CH-EMED-CONT)/d10343e64-true-d10451e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d10343e64-true-d10451e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:participant[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.10.2.4']/hl7:associatedEntity/hl7:associatedPerson/hl7:name/*[not(self::hl7:given|self::hl7:family)]"
         id="d10461e22-true-d10480e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.10.2.2-2016-06-09T131326.html"
              test="not(.)">(CH-EMED-NAME)/d10461e22-true-d10480e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d10461e22-true-d10480e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:relatedDocument/*[not(self::hl7:parentDocument)]"
         id="d10509e30-true-d10523e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.10.2.13-2016-05-18T000000.html"
              test="not(.)">(CDA_CH_REPL)/d10509e30-true-d10523e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d10509e30-true-d10523e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:relatedDocument/hl7:parentDocument/*[not(self::hl7:id[not(@nullFlavor)]|self::hl7:setId[not(@nullFlavor)]|self::hl7:versionNumber[not(@nullFlavor)])]"
         id="d10509e47-true-d10555e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.10.2.13-2016-05-18T000000.html"
              test="not(.)">(CDA_CH_REPL)/d10509e47-true-d10555e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d10509e47-true-d10555e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/*[not(self::hl7:structuredBody[not(@nullFlavor)])]"
         id="d9422e214-true-d10609e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.1-2016-05-13T220917.html"
              test="not(.)">(CDA-CH-EMED-eCurrentMedication-V1)/d9422e214-true-d10609e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d9422e214-true-d10609e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/*[not(self::hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']]|self::hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.10.3.2']]|self::hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.10.20.1.16' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.25' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.5.3.2']])]"
         id="d9422e218-true-d10674e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.1-2016-05-13T220917.html"
              test="not(.)">(CDA-CH-EMED-eCurrentMedication-V1)/d9422e218-true-d10674e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d9422e218-true-d10674e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']]/*[not(self::hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8'])]"
         id="d9422e220-true-d10744e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.1-2016-05-13T220917.html"
              test="not(.)">(CDA-CH-EMED-eCurrentMedication-V1)/d9422e220-true-d10744e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d9422e220-true-d10744e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']]/hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/*[not(self::hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1']|self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.8']|self::hl7:id|self::hl7:code|self::hl7:title|self::hl7:text[not(@nullFlavor)]|self::hl7:entry)]"
         id="d10724e2-true-d10808e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.1-2016-05-13T220917.html"
              test="not(.)">(CDA-CH-EMED-eCurrentMedication-V1)/d10724e2-true-d10808e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d10724e2-true-d10808e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']]/hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:entry/*[not(self::hl7:substanceAdministration)]"
         id="d10724e56-true-d10914e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.1-2016-05-13T220917.html"
              test="not(.)">(CDA-CH-EMED-eCurrentMedication-V1)/d10724e56-true-d10914e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d10724e56-true-d10914e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']]/hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:entry/hl7:substanceAdministration/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.7'][not(@nullFlavor)]|self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.24'][not(@nullFlavor)]|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7'][not(@nullFlavor)]|self::hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.4.1'][not(@nullFlavor)]|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.9']|self::hl7:id[not(@nullFlavor)]|self::hl7:code|self::hl7:text[not(@nullFlavor)]|self::hl7:statusCode[not(@nullFlavor)]|self::hl7:effectiveTime[@xsi:type='IVL_TS']|self::hl7:effectiveTime[@operator='A' and @xsi:type='EIVL_TS']|self::hl7:effectiveTime[@operator='A' and @xsi:type='SXPR_TS']|self::hl7:routeCode|self::hl7:doseQuantity|self::hl7:rateQuantity|self::hl7:entryRelationship[@typeCode='COMP' and hl7:substanceAdministration]|self::hl7:repeatNumber|self::hl7:consumable[hl7:manufacturedProduct[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.53']]|self::hl7:author|self::hl7:entryRelationship[hl7:observation]|self::hl7:entryRelationship[hl7:supply]|self::hl7:entryRelationship[hl7:act[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3']]]|self::hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.43']]])]"
         id="d10897e2-true-d11021e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.1-2016-05-13T220917.html"
              test="not(.)">(CDA-CH-EMED-eCurrentMedication-V1)/d10897e2-true-d11021e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d10897e2-true-d11021e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']]/hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:entry/hl7:substanceAdministration/hl7:code/*[not(self::hl7:originalText)]"
         id="d10897e129-true-d11169e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.1-2016-05-13T220917.html"
              test="not(.)">(CDA-CH-EMED-eCurrentMedication-V1)/d10897e129-true-d11169e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d10897e129-true-d11169e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']]/hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:entry/hl7:substanceAdministration/hl7:text[not(@nullFlavor)]/*[not(self::hl7:reference[not(@nullFlavor)])]"
         id="d10897e134-true-d11199e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.1-2016-05-13T220917.html"
              test="not(.)">(CDA-CH-EMED-eCurrentMedication-V1)/d10897e134-true-d11199e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d10897e134-true-d11199e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']]/hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:entry/hl7:substanceAdministration/hl7:effectiveTime[@xsi:type='IVL_TS']/*[not(self::hl7:low|self::hl7:high)]"
         id="d11224e159-true-d11240e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.1-2016-06-13T145437.html"
              test="not(.)">(CH-EMED-DosageInstructionsEntryContentModule)/d11224e159-true-d11240e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d11224e159-true-d11240e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']]/hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:entry/hl7:substanceAdministration/hl7:effectiveTime[@operator='A' and @xsi:type='EIVL_TS']/*[not(self::hl7:event[not(@nullFlavor)])]"
         id="d11224e192-true-d11279e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.1-2016-06-13T145437.html"
              test="not(.)">(CH-EMED-DosageInstructionsEntryContentModule)/d11224e192-true-d11279e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d11224e192-true-d11279e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']]/hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:entry/hl7:substanceAdministration/hl7:effectiveTime[@operator='A' and @xsi:type='SXPR_TS']/*[not(self::hl7:comp[@xsi:type='EIVL_TS'][not(@nullFlavor)]|self::hl7:comp[@operator='I' and @xsi:type='EIVL_TS'][not(@nullFlavor)])]"
         id="d11224e218-true-d11305e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.1-2016-06-13T145437.html"
              test="not(.)">(CH-EMED-DosageInstructionsEntryContentModule)/d11224e218-true-d11305e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d11224e218-true-d11305e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']]/hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:entry/hl7:substanceAdministration/hl7:effectiveTime[@operator='A' and @xsi:type='SXPR_TS']/hl7:comp[@xsi:type='EIVL_TS'][not(@nullFlavor)]/*[not(self::hl7:event[not(@nullFlavor)])]"
         id="d11224e237-true-d11322e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.1-2016-06-13T145437.html"
              test="not(.)">(CH-EMED-DosageInstructionsEntryContentModule)/d11224e237-true-d11322e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d11224e237-true-d11322e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']]/hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:entry/hl7:substanceAdministration/hl7:effectiveTime[@operator='A' and @xsi:type='SXPR_TS']/hl7:comp[@operator='I' and @xsi:type='EIVL_TS'][not(@nullFlavor)]/*[not(self::hl7:event[not(@nullFlavor)])]"
         id="d11224e250-true-d11349e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.1-2016-06-13T145437.html"
              test="not(.)">(CH-EMED-DosageInstructionsEntryContentModule)/d11224e250-true-d11349e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d11224e250-true-d11349e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']]/hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:entry/hl7:substanceAdministration/hl7:entryRelationship[@typeCode='COMP' and hl7:substanceAdministration]/*[not(self::hl7:sequenceNumber[not(@nullFlavor)]|self::hl7:substanceAdministration)]"
         id="d11224e276-true-d11405e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.1-2016-06-13T145437.html"
              test="not(.)">(CH-EMED-DosageInstructionsEntryContentModule)/d11224e276-true-d11405e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d11224e276-true-d11405e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']]/hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:entry/hl7:substanceAdministration/hl7:entryRelationship[@typeCode='COMP' and hl7:substanceAdministration]/hl7:substanceAdministration/*[not(self::hl7:effectiveTime[@xsi:type='EIVL_TS']|self::hl7:doseQuantity|self::hl7:rateQuantity|self::hl7:consumable)]"
         id="d11224e295-true-d11451e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.1-2016-06-13T145437.html"
              test="not(.)">(CH-EMED-DosageInstructionsEntryContentModule)/d11224e295-true-d11451e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d11224e295-true-d11451e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']]/hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:entry/hl7:substanceAdministration/hl7:entryRelationship[@typeCode='COMP' and hl7:substanceAdministration]/hl7:substanceAdministration/hl7:effectiveTime[@xsi:type='EIVL_TS']/*[not(self::hl7:event[not(@nullFlavor)])]"
         id="d11224e297-true-d11479e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.1-2016-06-13T145437.html"
              test="not(.)">(CH-EMED-DosageInstructionsEntryContentModule)/d11224e297-true-d11479e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d11224e297-true-d11479e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']]/hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:entry/hl7:substanceAdministration/hl7:entryRelationship[@typeCode='COMP' and hl7:substanceAdministration]/hl7:substanceAdministration/hl7:consumable/*[not(self::hl7:manufacturedProduct)]"
         id="d11224e327-true-d11525e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.1-2016-06-13T145437.html"
              test="not(.)">(CH-EMED-DosageInstructionsEntryContentModule)/d11224e327-true-d11525e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d11224e327-true-d11525e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']]/hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:entry/hl7:substanceAdministration/hl7:entryRelationship[@typeCode='COMP' and hl7:substanceAdministration]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/*[not(self::hl7:manufacturedMaterial)]"
         id="d11224e329-true-d11547e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.1-2016-06-13T145437.html"
              test="not(.)">(CH-EMED-DosageInstructionsEntryContentModule)/d11224e329-true-d11547e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d11224e329-true-d11547e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']]/hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:entry/hl7:substanceAdministration/hl7:consumable[hl7:manufacturedProduct[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.53']]/*[not(self::hl7:manufacturedProduct[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.53'])]"
         id="d10897e162-true-d11624e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.1-2016-05-13T220917.html"
              test="not(.)">(CDA-CH-EMED-eCurrentMedication-V1)/d10897e162-true-d11624e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d10897e162-true-d11624e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']]/hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:entry/hl7:substanceAdministration/hl7:consumable[hl7:manufacturedProduct[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedProduct[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.53']/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2']|self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.53']|self::hl7:manufacturedMaterial)]"
         id="d10897e164-true-d11726e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.1-2016-05-13T220917.html"
              test="not(.)">(CDA-CH-EMED-eCurrentMedication-V1)/d10897e164-true-d11726e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d10897e164-true-d11726e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']]/hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:entry/hl7:substanceAdministration/hl7:consumable[hl7:manufacturedProduct[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedProduct[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.53']/hl7:manufacturedMaterial/*[not(self::hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.2'][not(@nullFlavor)]|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1'][not(@nullFlavor)]|self::hl7:code|self::hl7:name|self::pharm:formCode|self::hl7:lotNumberText|self::pharm:expirationTime|self::pharm:asContent|self::pharm:ingredient)]"
         id="d11670e13-true-d11806e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.1-2016-05-13T220917.html"
              test="not(.)">(CDA-CH-EMED-eCurrentMedication-V1)/d11670e13-true-d11806e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d11670e13-true-d11806e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']]/hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:entry/hl7:substanceAdministration/hl7:consumable[hl7:manufacturedProduct[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedProduct[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.53']/hl7:manufacturedMaterial/hl7:code/*[not(self::hl7:originalText)]"
         id="d11670e41-true-d11864e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.1-2016-05-13T220917.html"
              test="not(.)">(CDA-CH-EMED-eCurrentMedication-V1)/d11670e41-true-d11864e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d11670e41-true-d11864e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']]/hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:entry/hl7:substanceAdministration/hl7:consumable[hl7:manufacturedProduct[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedProduct[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.53']/hl7:manufacturedMaterial/hl7:code/hl7:originalText/*[not(self::hl7:reference)]"
         id="d11670e58-true-d11886e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.1-2016-05-13T220917.html"
              test="not(.)">(CDA-CH-EMED-eCurrentMedication-V1)/d11670e58-true-d11886e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d11670e58-true-d11886e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']]/hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:entry/hl7:substanceAdministration/hl7:consumable[hl7:manufacturedProduct[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedProduct[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.53']/hl7:manufacturedMaterial/pharm:asContent/*[not(self::pharm:containerPackagedMedicine)]"
         id="d11670e117-true-d11948e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.1-2016-05-13T220917.html"
              test="not(.)">(CDA-CH-EMED-eCurrentMedication-V1)/d11670e117-true-d11948e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d11670e117-true-d11948e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']]/hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:entry/hl7:substanceAdministration/hl7:consumable[hl7:manufacturedProduct[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedProduct[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.53']/hl7:manufacturedMaterial/pharm:asContent/pharm:containerPackagedMedicine/*[not(self::pharm:code|self::pharm:name|self::pharm:formCode|self::pharm:capacityQuantity)]"
         id="d11670e123-true-d11985e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.1-2016-05-13T220917.html"
              test="not(.)">(CDA-CH-EMED-eCurrentMedication-V1)/d11670e123-true-d11985e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d11670e123-true-d11985e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']]/hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:entry/hl7:substanceAdministration/hl7:consumable[hl7:manufacturedProduct[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedProduct[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.53']/hl7:manufacturedMaterial/pharm:ingredient/*[not(self::pharm:quantity|self::pharm:ingredient)]"
         id="d11670e199-true-d12056e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.1-2016-05-13T220917.html"
              test="not(.)">(CDA-CH-EMED-eCurrentMedication-V1)/d11670e199-true-d12056e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d11670e199-true-d12056e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']]/hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:entry/hl7:substanceAdministration/hl7:consumable[hl7:manufacturedProduct[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedProduct[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.53']/hl7:manufacturedMaterial/pharm:ingredient/pharm:quantity/*[not(self::pharm:numerator|self::pharm:denominator)]"
         id="d11670e216-true-d12087e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.1-2016-05-13T220917.html"
              test="not(.)">(CDA-CH-EMED-eCurrentMedication-V1)/d11670e216-true-d12087e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d11670e216-true-d12087e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']]/hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:entry/hl7:substanceAdministration/hl7:consumable[hl7:manufacturedProduct[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedProduct[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.53']/hl7:manufacturedMaterial/pharm:ingredient/pharm:ingredient/*[not(self::pharm:code|self::pharm:name)]"
         id="d11670e236-true-d12134e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.1-2016-05-13T220917.html"
              test="not(.)">(CDA-CH-EMED-eCurrentMedication-V1)/d11670e236-true-d12134e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d11670e236-true-d12134e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']]/hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:entry/hl7:substanceAdministration/hl7:author/*[not(self::hl7:time[not(@nullFlavor)])]"
         id="d10897e178-true-d12176e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.1-2016-05-13T220917.html"
              test="not(.)">(CDA-CH-EMED-eCurrentMedication-V1)/d10897e178-true-d12176e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d10897e178-true-d12176e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']]/hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:entry/hl7:substanceAdministration/hl7:entryRelationship[hl7:observation]/*[not(self::hl7:observation[hl7:templateId/@root='2.16.756.5.30.1.127.77.4.10.20' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.4'])]"
         id="d10897e183-true-d12208e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.1-2016-05-13T220917.html"
              test="not(.)">(CDA-CH-EMED-eCurrentMedication-V1)/d10897e183-true-d12208e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d10897e183-true-d12208e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']]/hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:entry/hl7:substanceAdministration/hl7:entryRelationship[hl7:observation]/hl7:observation[hl7:templateId/@root='2.16.756.5.30.1.127.77.4.10.20' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.4']/*[not(self::hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.20']|self::hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.4']|self::hl7:code[(@code='75326-9' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]|self::hl7:text[not(@nullFlavor)]|self::hl7:statusCode[@code='completed'][not(@nullFlavor)])]"
         id="d12193e5-true-d12254e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.1-2016-05-13T220917.html"
              test="not(.)">(CDA-CH-EMED-eCurrentMedication-V1)/d12193e5-true-d12254e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d12193e5-true-d12254e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']]/hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:entry/hl7:substanceAdministration/hl7:entryRelationship[hl7:observation]/hl7:observation[hl7:templateId/@root='2.16.756.5.30.1.127.77.4.10.20' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.4']/hl7:text[not(@nullFlavor)]/*[not(self::hl7:reference[not(@nullFlavor)])]"
         id="d12193e27-true-d12316e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.1-2016-05-13T220917.html"
              test="not(.)">(CDA-CH-EMED-eCurrentMedication-V1)/d12193e27-true-d12316e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d12193e27-true-d12316e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']]/hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:entry/hl7:substanceAdministration/hl7:entryRelationship[hl7:supply]/*[not(self::hl7:supply)]"
         id="d10897e188-true-d12354e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.1-2016-05-13T220917.html"
              test="not(.)">(CDA-CH-EMED-eCurrentMedication-V1)/d10897e188-true-d12354e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d10897e188-true-d12354e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']]/hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:entry/hl7:substanceAdministration/hl7:entryRelationship[hl7:supply]/hl7:supply/*[not(self::hl7:independentInd[not(@nullFlavor)]|self::hl7:quantity)]"
         id="d12341e5-true-d12381e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.1-2016-05-13T220917.html"
              test="not(.)">(CDA-CH-EMED-eCurrentMedication-V1)/d12341e5-true-d12381e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d12341e5-true-d12381e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']]/hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:entry/hl7:substanceAdministration/hl7:entryRelationship[hl7:act[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3']]]/*[not(self::hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.1.49' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.3'])]"
         id="d10897e196-true-d12425e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.1-2016-05-13T220917.html"
              test="not(.)">(CDA-CH-EMED-eCurrentMedication-V1)/d10897e196-true-d12425e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d10897e196-true-d12425e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']]/hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:entry/hl7:substanceAdministration/hl7:entryRelationship[hl7:act[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3']]]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.1.49' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.3']/*[not(self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.49']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3']|self::hl7:code[(@code='PINSTRUCT' and @codeSystem='1.3.6.1.4.1.19376.1.5.3.2') or @nullFlavor]|self::hl7:text|self::hl7:statusCode)]"
         id="d12410e7-true-d12471e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.1-2016-05-13T220917.html"
              test="not(.)">(CDA-CH-EMED-eCurrentMedication-V1)/d12410e7-true-d12471e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d12410e7-true-d12471e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']]/hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:entry/hl7:substanceAdministration/hl7:entryRelationship[hl7:act[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3']]]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.1.49' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.3']/hl7:text/*[not(self::hl7:reference[not(@nullFlavor)])]"
         id="d12410e29-true-d12533e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.1-2016-05-13T220917.html"
              test="not(.)">(CDA-CH-EMED-eCurrentMedication-V1)/d12410e29-true-d12533e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d12410e29-true-d12533e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']]/hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:entry/hl7:substanceAdministration/hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.43']]]/*[not(self::hl7:act[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.43' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1'])]"
         id="d10897e203-true-d12574e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.1-2016-05-13T220917.html"
              test="not(.)">(CDA-CH-EMED-eCurrentMedication-V1)/d10897e203-true-d12574e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d10897e203-true-d12574e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']]/hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:entry/hl7:substanceAdministration/hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.43']]]/hl7:act[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.43' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1']/*[not(self::hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.7']|self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.43']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1']|self::hl7:code|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)])]"
         id="d12558e7-true-d12627e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.1-2016-05-13T220917.html"
              test="not(.)">(CDA-CH-EMED-eCurrentMedication-V1)/d12558e7-true-d12627e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d12558e7-true-d12627e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']]/hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.1.10.3.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.8']/hl7:entry/hl7:substanceAdministration/hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.43']]]/hl7:act[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.43' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1']/hl7:text/*[not(self::hl7:reference)]"
         id="d12558e34-true-d12701e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.1-2016-05-13T220917.html"
              test="not(.)">(CDA-CH-EMED-eCurrentMedication-V1)/d12558e34-true-d12701e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d12558e34-true-d12701e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.10.3.2']]/*[not(self::hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.10.3.2'])]"
         id="d9422e222-true-d12744e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.1-2016-05-13T220917.html"
              test="not(.)">(CDA-CH-EMED-eCurrentMedication-V1)/d9422e222-true-d12744e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d9422e222-true-d12744e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.10.3.2']]/hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.10.3.2']/*[not(self::hl7:templateId[@root='2.16.756.5.30.1.1.10.3.2']|self::hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]|self::hl7:title|self::hl7:text[not(@nullFlavor)]|self::hl7:entry[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.1.40' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']])]"
         id="d12726e2-true-d12799e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.1-2016-05-13T220917.html"
              test="not(.)">(CDA-CH-EMED-eCurrentMedication-V1)/d12726e2-true-d12799e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d12726e2-true-d12799e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.10.3.2']]/hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.10.3.2']/hl7:entry[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.1.40' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/*[not(self::hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.1.40' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2'])]"
         id="d12726e31-true-d12887e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.1-2016-05-13T220917.html"
              test="not(.)">(CDA-CH-EMED-eCurrentMedication-V1)/d12726e31-true-d12887e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d12726e31-true-d12887e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.10.3.2']]/hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.10.3.2']/hl7:entry[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.1.40' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.1.40' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/*[not(self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.40']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']|self::hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:text[not(@nullFlavor)]|self::hl7:statusCode[@code='completed'][not(@nullFlavor)])]"
         id="d12867e2-true-d12933e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.1-2016-05-13T220917.html"
              test="not(.)">(CDA-CH-EMED-eCurrentMedication-V1)/d12867e2-true-d12933e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d12867e2-true-d12933e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.10.20.1.16' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.25' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.5.3.2']]/*[not(self::hl7:section[hl7:templateId/@root='2.16.840.1.113883.10.20.1.16' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.25' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.5.3.2'])]"
         id="d9422e224-true-d13020e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.1-2016-05-13T220917.html"
              test="not(.)">(CDA-CH-EMED-eCurrentMedication-V1)/d9422e224-true-d13020e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d9422e224-true-d13020e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.10.20.1.16' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.25' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.5.3.2']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.10.20.1.16' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.25' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.5.3.2']/*[not(self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.16']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.25']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.5.3.2']|self::hl7:code[(@code='8716-3' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]|self::hl7:title|self::hl7:text[not(@nullFlavor)]|self::hl7:entry[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.32' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.35']])]"
         id="d12998e2-true-d13091e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.1-2016-05-13T220917.html"
              test="not(.)">(CDA-CH-EMED-eCurrentMedication-V1)/d12998e2-true-d13091e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d12998e2-true-d13091e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.10.20.1.16' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.25' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.5.3.2']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.10.20.1.16' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.25' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.5.3.2']/hl7:entry[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.32' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.35']]/*[not(self::hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.32' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.35'])]"
         id="d12998e42-true-d13207e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.1-2016-05-13T220917.html"
              test="not(.)">(CDA-CH-EMED-eCurrentMedication-V1)/d12998e42-true-d13207e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d12998e42-true-d13207e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.10.20.1.16' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.25' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.5.3.2']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.10.20.1.16' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.25' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.5.3.2']/hl7:entry[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.32' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.35']]/hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.32' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.35']/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.1']|self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.32']|self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.35']|self::hl7:id|self::hl7:code[(@code='46680005' and @codeSystem='2.16.840.1.113883.6.96') or @nullFlavor]|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:component[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.13' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.31' and hl7:templateId/@root='2.16.756.5.30.1.1.10.4']])]"
         id="d13185e2-true-d13321e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.1-2016-05-13T220917.html"
              test="not(.)">(CDA-CH-EMED-eCurrentMedication-V1)/d13185e2-true-d13321e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d13185e2-true-d13321e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.10.20.1.16' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.25' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.5.3.2']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.10.20.1.16' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.25' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.5.3.2']/hl7:entry[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.32' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.35']]/hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.32' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.35']/hl7:component[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.13' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.31' and hl7:templateId/@root='2.16.756.5.30.1.1.10.4']]/*[not(self::hl7:sequenceNumber|self::hl7:seperatableInd|self::hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.13' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.31' and hl7:templateId/@root='2.16.756.5.30.1.1.10.4'])]"
         id="d13185e38-true-d13535e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.1-2016-05-13T220917.html"
              test="not(.)">(CDA-CH-EMED-eCurrentMedication-V1)/d13185e38-true-d13535e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d13185e38-true-d13535e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.10.20.1.16' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.25' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.5.3.2']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.10.20.1.16' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.25' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.5.3.2']/hl7:entry[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.32' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.35']]/hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.32' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.35']/hl7:component[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.13' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.31' and hl7:templateId/@root='2.16.756.5.30.1.1.10.4']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.13' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.31' and hl7:templateId/@root='2.16.756.5.30.1.1.10.4']/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.2']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']|self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']|self::hl7:templateId[@root='2.16.756.5.30.1.1.10.4']|self::hl7:id|self::hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.1.11.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value|self::hl7:interpretationCode|self::hl7:methodCode|self::hl7:targetSiteCode)]"
         id="d13465e11-true-d13651e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.1-2016-05-13T220917.html"
              test="not(.)">(CDA-CH-EMED-eCurrentMedication-V1)/d13465e11-true-d13651e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d13465e11-true-d13651e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']]/hl7:ClinicalDocument[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.1' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.4' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.1']/hl7:component/hl7:structuredBody[not(@nullFlavor)]/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.10.20.1.16' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.25' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.5.3.2']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.10.20.1.16' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.25' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.5.3.2']/hl7:entry[hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.32' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.35']]/hl7:organizer[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.32' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.35']/hl7:component[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.13' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.31' and hl7:templateId/@root='2.16.756.5.30.1.1.10.4']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.13' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.31' and hl7:templateId/@root='2.16.756.5.30.1.1.10.4']/hl7:text/*[not(self::hl7:reference)]"
         id="d13465e45-true-d13773e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-2.16.756.5.30.1.1.1.1.3.10.1-2016-05-13T220917.html"
              test="not(.)">(CDA-CH-EMED-eCurrentMedication-V1)/d13465e45-true-d13773e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. (rule-reference: d13465e45-true-d13773e0)</assert>
   </rule>
</pattern>
